System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

In the .NET Framework versions 1.0 and 1.1, code providers consist of implementations of , , , and . In the dnprdnlong, the , , and methods are obsolete, and the methods of and are directly available in the class. You should override those methods in your code provider implementation and not call the base methods.

The interface can be implemented for a specific compiler to enable developers to programmatically compile assemblies from Code Document Object Model (CodeDOM) compile units, strings containing source code, or source code files.

The interface provides the capability to invoke compilation with specified parameters at runtime and access information related to compilation after compilation occurs, including the result code, and any errors or warnings the compiler returns. Each compile method accepts a object that indicates settings for the compiler, and returns a object that indicates the results of the compilation.

Compiler developers should provide an implementation of this interface to support dynamic compilation. implementers should also consider implementing this interface to provide programmatic compilation capability for the language that they are providing CodeDom support for.

Defines an interface for invoking compilation of source code or a CodeDOM tree using a specific compiler.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles an assembly from the tree contained in the specified , using the specified compiler settings.

  A object that indicates the results of compilation.

  A object that indicates the settings for compilation. A that indicates the code to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added. To be added

  Compiles an assembly based on the trees contained in the specified array of objects, using the specified compiler settings.

  A object that indicates the results of compilation.

  A object that indicates the settings for compilation.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles an assembly from the source code contained within the specified file, using the specified compiler settings.

  A object that indicates the results of compilation.

  A object that indicates the settings for compilation. The file name of the file that contains the source code to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added. To be added

  Compiles an assembly from the source code contained within the specified files, using the specified compiler settings.

  A object that indicates the results of compilation.

  A object that indicates the settings for compilation.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles an assembly from the specified string containing source code, using the specified compiler settings.

  A object that indicates the results of compilation.

  A object that indicates the settings for compilation. The source code to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added. To be added

  Compiles an assembly from the specified array of strings containing source code, using the specified compiler settings.

  A object that indicates the results of compilation.

  A object that indicates the settings for compilation.